OSSInsight Public API
OSSInsight Public APIs (beta) provide a convenient way to access insight data for open source projects on GitHub, supplementing the existing GitHub API.
Version: v1beta
OSSInsight Public APIs (beta) provide a convenient way to access insight data for open source projects on GitHub, supplementing the existing GitHub API.
Explore Endpoints
Collections
- GETList collections›List collections.
- GETList hot collections›List hot collections with top repositories of the collection.
- GETRepository ranking by issues›Rank the GitHub repositories in the specified collection according to the number of issues.
- GETRepository ranking by prs›Rank the GitHub repositories in the specified collection according to the number of pull requests.
- GETRepository ranking by stars›Rank the GitHub repositories in the specified collection according to the number of stars.
- GETList collection repositories›List the repositories of collection.
Trends
Issue Creators
- GETList issue creators›Querying the issue creators for a given repository.
- GETList countries/regions of issue creators›List countries/regions of stargazers for the specified repository.
- GETIssue creators history›Querying the historical trend of the number of issue creators in a given repository.
- GETList organizations of stargazers›List organizations of stargazers for the specified repository.
Pull Request Creators
- GETList pull request creators›Querying the pull request creators list in a given repository.
- GETList countries/regions of PR creators›List countries/regions of pull request creators for the specified repository.
- GETPull request creators history›Querying the historical trend of the number of pull request creators in a given repository.
- GETList organizations of PR creators›List organizations of pull request creators for the specified repository.
Stargazers
- GETList countries/regions of stargazers›List countries/regions of stargazers for the specified repository.
- GETStargazers history›Querying the historical trend of the number of stargazers in a given repository.
- GETList organizations of stargazers›List organizations of stargazers for the specified repository.
Usage
The OSSInsight Public API follows the OpenAPI specification and can be called with tools like curl or any HTTP client library.
Base URL
https://api.ossinsight.io/v1Authentication
No authentication is required for the beta version of the public API, though rate limits apply.
Rate Limit
Per IP address, the current limit is 600 requests per hour.
x-ratelimit-limit: 600x-ratelimit-remaining: 599There is also a global limit of 1000 requests per minute.
x-ratelimit-limit-minute: 1000x-ratelimit-remaining-minute: 97Example
To find the countries or regions of stargazers in pingcap/tidb, you can call:
curl https://api.ossinsight.io/v1/repos/pingcap/tidb/stargazers/countriesExample Response
{ "type": "sql_endpoint", "data": { "columns": [ { "col": "country_or_area", "data_type": "CHAR", "nullable": true }, { "col": "count", "data_type": "BIGINT", "nullable": true }, { "col": "percentage", "data_type": "DECIMAL", "nullable": true } ], "rows": [ { "count": "9183", "country_or_area": "CN", "percentage": "0.5936" }, { "count": "1542", "country_or_area": "US", "percentage": "0.0997" }, { "count": "471", "country_or_area": "JP", "percentage": "0.0304" } ] }}Showcase
- github1s.com: One second to read GitHub code with VS Code.
- Raycast OSS Insight: A Raycast extension powered by OSS Insight APIs.
- ChatGH: Chat with GitHub APIs using natural language.
- ossinsight-x: Automatically post trending repositories to social media every day.
Request New API
- Email us at ossinsight@pingcap.com.
- Open an issue in the OSSInsight GitHub repository.